
-- Test jig for Vec-Fonts.E & Vec-Fonts.VF

include get.e
include machine.e

include Vec-Font.E -- Font file

integer junk
integer Angle
integer AngInc -- Angle increment
atom FrameTime,ang

junk = graphics_mode(257)
position(24,1)

VFontXscale = 5
VFontYscale = 5
VFontAngleZ = 0
VFontBackGd = 0
VFontColour = 12
Angle = 0
AngInc = 4
tick_rate(100)
while get_key() < 1 do
  FrameTime = time() + 0.04 --  Frames per second
  
  Angle = Angle + AngInc
  if Angle >= 360 then
    Angle = 0
  end if
  VFontAngleZ = Angle
  
  VFontCrsrX = 60
  VFontCrsrY = 50
  VFontXscale = 4
  VFontYscale = 4
  VFontColour = 12
  PrintVText(" Rotatable ")
  
  
  ang = Angle * -0.017453292
  VFontCrsrX = 60
  VFontCrsrY = 150
  VFontAngleZ = 0
  VFontXscale = 4
  VFontYscale = 6 + floor(sin(ang) * 4)
  VFontColour = 14
  PrintVText(" Scaleable ")
  
  while time() <= FrameTime do -- Wait for frame to end
  end while
end while

junk = graphics_mode(-1)

